# Split modifier plugin for Movable Type
#
# Release 0.01 (Jun 19, 2009)
#
# This software is provided as-is. You may use it for commercial or
# personal use. If you distribute it, please keep this notice intact.
#
# Copyright (c) 2004-2009 Yujiro Araki
package MT::Plugin::Split;

use strict;
use MT;
use base qw(MT::Plugin);

our $VERSION = '0.01';

my $plugin = __PACKAGE__->new ({
    name => 'Split',
    description => '<MT_TRANS phrase="Split.">',
    doc_link => 'http://www.koikikukan.com/archives/2009/01/20-015555.php',
    l10n_class => 'Split::L10N',
    version => $VERSION,
});
MT->add_plugin ($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            modifier => {
                split => \&_fltr_split,
            }, 
        },
    });
}

sub _fltr_split {
    my ($str, $val, $ctx) = @_;
    my @paras = split /$val/, $str;
    return \@paras;
}

1;
